package com.tofly.ghrq_route.module.buildManage.domain;

import com.tofly.ghrq_route.module.buildManage.BuildExaminesBean;

import java.io.Serializable;
import java.util.List;

/**
 * @author YCHK
 * 工地监护实体数据
 */
public class BuildManageBeans implements Serializable {

    private String id;
    private List<VoiceBeans> voice;
    private String note;
    private String dispatchDate;
    private List<ProcssManageBean> processManages;
    private String constructionAddress;
    private String siteName;
    private String description;
    private String delFlag;
    private List<VoiceBeans> endVoice;
    private String dispatchUserName;
    private String constructionUnit;
    private String constructionPersonName;
    private String personInCharge;
    private String dispatchUserId;
    private String siteType;
    private String manageUnit;
    private List<BuildExaminesBean> auditList;
    private String manager;
    private String siteTypeName;
    private String constructionState;
    private int rowId;
    private String constructionStateName;
    private double x;
    private double y;
    private List<VoiceBeans> files;
    private String constructionPerson;
    private String personInChargePhone;
    private String department;

    public String getDepartment() {
        return department;
    }

    public List<BuildExaminesBean> getAuditList() {
        return auditList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<VoiceBeans> getVoice() {
        return voice;
    }

    public void setVoice(List<VoiceBeans> voice) {
        this.voice = voice;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getDispatchDate() {
        return dispatchDate;
    }

    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }

    public List<ProcssManageBean> getProcessManages() {
        return processManages;
    }

    public void setProcessManages(List<ProcssManageBean> processManages) {
        this.processManages = processManages;
    }

    public String getConstructionAddress() {
        return constructionAddress;
    }

    public void setConstructionAddress(String constructionAddress) {
        this.constructionAddress = constructionAddress;
    }

    public String getSiteName() {
        return siteName;
    }

    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public List<VoiceBeans> getEndVoice() {
        return endVoice;
    }

    public void setEndVoice(List<VoiceBeans> endVoice) {
        this.endVoice = endVoice;
    }

    public String getDispatchUserName() {
        return dispatchUserName;
    }

    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getConstructionPersonName() {
        return constructionPersonName;
    }

    public void setConstructionPersonName(String constructionPersonName) {
        this.constructionPersonName = constructionPersonName;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getDispatchUserId() {
        return dispatchUserId;
    }

    public void setDispatchUserId(String dispatchUserId) {
        this.dispatchUserId = dispatchUserId;
    }

    public String getSiteType() {
        return siteType;
    }

    public void setSiteType(String siteType) {
        this.siteType = siteType;
    }

    public String getManageUnit() {
        return manageUnit;
    }

    public void setManageUnit(String manageUnit) {
        this.manageUnit = manageUnit;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getSiteTypeName() {
        return siteTypeName;
    }

    public void setSiteTypeName(String siteTypeName) {
        this.siteTypeName = siteTypeName;
    }

    public String getConstructionState() {
        return constructionState;
    }

    public void setConstructionState(String constructionState) {
        this.constructionState = constructionState;
    }

    public int getRowId() {
        return rowId;
    }

    public void setRowId(int rowId) {
        this.rowId = rowId;
    }

    public String getConstructionStateName() {
        return constructionStateName;
    }

    public void setConstructionStateName(String constructionStateName) {
        this.constructionStateName = constructionStateName;
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public List<VoiceBeans> getFiles() {
        return files;
    }

    public void setFiles(List<VoiceBeans> files) {
        this.files = files;
    }

    public String getConstructionPerson() {
        return constructionPerson;
    }

    public void setConstructionPerson(String constructionPerson) {
        this.constructionPerson = constructionPerson;
    }

    public String getPersonInChargePhone() {
        return personInChargePhone;
    }

    public void setPersonInChargePhone(String personInChargePhone) {
        this.personInChargePhone = personInChargePhone;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public static class ProcssManageBean {
        private String id;
        private String description;
        private String workOrderId;
        private String manageDate;
        private double x;
        private double y;
        private List<VoiceBeans> processFiles;
        private List<VoiceBeans> processVoice;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getWorkOrderId() {
            return workOrderId;
        }

        public void setWorkOrderId(String workOrderId) {
            this.workOrderId = workOrderId;
        }

        public String getManageDate() {
            return manageDate;
        }

        public void setManageDate(String manageDate) {
            this.manageDate = manageDate;
        }

        public double getX() {
            return x;
        }

        public void setX(double x) {
            this.x = x;
        }

        public double getY() {
            return y;
        }

        public void setY(double y) {
            this.y = y;
        }

        public List<VoiceBeans> getProcessFiles() {
            return processFiles;
        }

        public void setProcessFiles(List<VoiceBeans> processFiles) {
            this.processFiles = processFiles;
        }

        public List<VoiceBeans> getProcessVoice() {
            return processVoice;
        }

        public void setProcessVoice(List<VoiceBeans> processVoice) {
            this.processVoice = processVoice;
        }
    }
}
